[build-system]
requires = ["flit_core >=3.2,<4"]
build-backend = "flit_core.buildapi"

[project]
name = "cuchulu"
authors = [{name = "Antonio de la Rosa", email = "antonio.delarosa@cuchulu.com"}]
readme = "README.md"
version = "1.0.37"
description = "A simple framework using bottle and mako"
# dynamic = ["version", "description"]

classifiers=['Development Status :: 4 - Beta',
        "Intended Audience :: Developers",
        "License :: OSI Approved :: GNU Affero General Public License v3",
        "Topic :: Internet :: WWW/HTTP :: Dynamic Content :: CGI Tools/Libraries",
        "Topic :: Internet :: WWW/HTTP :: HTTP Servers",
        "Topic :: Internet :: WWW/HTTP :: WSGI",
        "Topic :: Internet :: WWW/HTTP :: WSGI :: Application",
        "Topic :: Internet :: WWW/HTTP :: WSGI :: Server",
        "Topic :: Software Development :: Libraries :: Application Frameworks",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "Programming Language :: Python :: 3.12"
]
requires-python = ">=3.9"
dependencies=[
	"bottle", 
	"pymysql", 
	"sqlalchemy", 
	"colorama", 
	"python-slugify", 
	"mako", 
	"pillow", 
	"arrow", 
	"bleach", 
	"argon2-cffi",
        "itsdangerous"
]

[project.urls]
Home = "https://git.cuchulu.com/cuchulu/cuchulufm/"
Documentation = "https://docs.cuchulu.com/cuchulu/"

[project.scripts]
cuchulu = "cuchulu.console:start"
cuchuludb = "cuchulu.libraries.db.dbadmin:start"
cuchulucm = "cuchulu.create_module:start"

[tool.pytest.ini_options]
testpaths = ["tests"]
filterwarnings = [
    "error",
]
